<template>
<article id="user">
        <router-link to="/">Home</router-link>
        <!-- <h1>This is my user profile</h1> -->
        <h3>{{userProfile.name}}</h3>
        <!-- <p>{{userProfile}}</p>   -->
        <p><img v-bind:src=userProfile.avatar_url alt="Profile Picture" style="max-width:200px;maxheight:200px; border:8px solid darkseagreen"></p>
        <p>Username: {{ username }}</p>

        <p>
            <router-link :to="{name: 'Info', params: {username: username}}">Info</router-link>
            <router-link :to="{name: 'Repository', params: {username: username}}">Repository</router-link>
            <router-link :to="{name: 'Followers', params: {username: username}}">Followers</router-link>
        </p>

        <!-- <ul class="demo-list-two mdl-list">
  <li class="mdl-list__item mdl-list__item--two-line">
      <span class="mdl-list__item-primary-content">
      <span><img v-bind:src="userProfile.avatar_url" alt="avatar" style="max-width:50px; max-height:50px"> </span>
    </span>
    <span class="mdl-list__item-primary-content">
      <span  class="mdl-list__item-title">{{userProfile.login}}</span>
    </span>
    </li>
  </ul> -->
        <router-view></router-view>
    </article>

</template>
        <script>
import { mapState } from "vuex";

export default {
  name: "User",
  computed: {
     username: function() {
      return this.$route.params.username;
    },
    ...mapState(["userProfile"])
  },
  mounted:function(){
         this.getUser() //method will execute at pageload
  },
  methods: {
    getUser() {
       this.$store.dispatch("getUser", this.$route.params.username);
    }
  }
};
</script>
